libzypp: zypp::resfilter Namespace Reference

libzypp 17.36.6

Classes | Functions
zypp::resfilter Namespace Reference

## Classes
struct | ByArch
| Select ResObject by Arch using TCompare functor. More...
struct | ByEdition
| Select ResObject by Edition using TCompare functor. More...
struct | ByInstalled
| Select PoolItem by installed. More...
struct | ByKeep
| Select PoolItem by keep. More...
struct | ByLock
| Select PoolItem by lock. More...
struct | ByName
| Select ResObject by name. More...
struct | ByRecommended
| PoolItem which is recommended. More...
struct | ByRepository
| Select ResObject by repository or repository alias. More...
struct | BySuggested
| PoolItem which is suggested. More...
struct | ByTransact
| Select PoolItem by transact. More...
struct | ByUninstalled
| Select PoolItem by uninstalled. More...

## Functions
template<class TRes>
filter::ByKind | byKind ()
template<class TCompare>
ByEdition< TCompare > | byEdition (const Edition &edition_r, TCompare cmp_r)
template<class TCompare>
ByEdition< TCompare > | byEdition (const Edition &edition_r)
template<class TCompare>
ByArch< TCompare > | byArch (const Arch &arch_r, TCompare cmp_r)
template<class TCompare>
ByArch< TCompare > | byArch (const Arch &arch_r)

## Function Documentation

## ◆ byKind()

template<class TRes>

filter::ByKind zypp::resfilter::byKind | ( |  | ) |
| related

Definition at line 147 of file ResFilters.h.

## ◆ byEdition() [1/2]

template<class TCompare>

ByEdition< TCompare > zypp::resfilter::byEdition | ( | const Edition & | edition_r,
|  | TCompare | cmp_r )

Definition at line 218 of file ResFilters.h.

## ◆ byEdition() [2/2]

template<class TCompare>

ByEdition< TCompare > zypp::resfilter::byEdition | ( | const Edition & | edition_r | ) |

Definition at line 223 of file ResFilters.h.

## ◆ byArch() [1/2]

template<class TCompare>

ByArch< TCompare > zypp::resfilter::byArch | ( | const Arch & | arch_r,
|  | TCompare | cmp_r )

Definition at line 258 of file ResFilters.h.

## ◆ byArch() [2/2]

template<class TCompare>

ByArch< TCompare > zypp::resfilter::byArch | ( | const Arch & | arch_r | ) |

Definition at line 263 of file ResFilters.h.